LIGHT(1)

NAME
light - a program to control backlight controllers

SYNOPSIS
light [OPTIONS] [VALUE]

DESCRIPTION
light is a program to control backlight display and keyboard controllers under GNU/Linux.

•   Operates independently of X (X-Window)
•   Can automatically figure out the best controller to use, making full use of the underlying hardware
•   Supports a minimum cap on the brightness value, as some controllers set the display to be pitch black at a vaĺue of 0 (or higher)

COMMANDS
The following unique commands are supported:

-H, -h
    Show help text and exit

-V  Show program version and exit

-L  List available devices

-A  Increase brightness by value

-U  Decrease brightness by value

-S  Set brightness to value

-G  Get brightness, default

-N  Set minimum brightness to value

-P  Get minimum brightness

-I  Save current brightness

-O  Restore previously saved brightness

OPTIONS
The behavior of the above commands can be modified using these options:

-r  Interpret input and output values in raw mode

-s PATH
    Specify device target path. Use -L to list available devices

-v LEVEL
    Set verbosity level, by default light only outputs read values:

    0:  Read values
    1:  Read values, Errors
    2:  Read values, Errors, Warnings
    3:  Read values, Errors, Warnings, Notices

FILES
When run in its classic SUID root mode light caches settings and current brightness in /etc/light. In its non-privileged mode of operation the ~/.cache/light directory is used instead.

AUTHORS
Copyright © 2012-2018 Fredrik Haikarainen

This is free software, see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE